package TX_OtherClass;

import java.util.ArrayList;

public final class RequestHead extends JceStruct {
    public String appId;
    static ArrayList cache_extentAccountList;
    static LogReport cache_logReport;
    static QUA cache_qua;
    static ArrayList cache_token;
    public int cmdId;
    public ArrayList extentAccountList;
    public String guid;
    public LogReport logReport;
    public int oemPlatform;
    public QUA qua;
    public int requestId;
    public int isSupportDolby;
    public ArrayList token;

    static {
        RequestHead.cache_qua = new QUA();
        RequestHead.cache_token = new ArrayList();
        RequestHead.cache_token.add(new LoginToken());
        RequestHead.cache_logReport = new LogReport();
        RequestHead.cache_extentAccountList = new ArrayList();
        RequestHead.cache_extentAccountList.add(new ExtentAccount());
    }

    public RequestHead() {
        super();
        this.requestId = 0;
        this.cmdId = 0;
        this.qua = null;
        this.appId = "";
        this.guid = "";
        this.token = null;
        this.logReport = null;
        this.extentAccountList = null;
        this.oemPlatform = 0;
        this.isSupportDolby = 0;
    }

    public RequestHead(int arg4, int arg5, QUA arg6, String arg7, String arg8, ArrayList arg9, LogReport arg10, ArrayList arg11, int arg12) {
        super();
        this.requestId = 0;
        this.cmdId = 0;
        this.qua = null;
        this.appId = "";
        this.guid = "";
        this.token = null;
        this.logReport = null;
        this.extentAccountList = null;
        this.oemPlatform = 0;
        this.requestId = arg4;
        this.cmdId = arg5;
        this.qua = arg6;
        this.appId = arg7;
        this.guid = arg8;
        this.token = arg9;
        this.logReport = arg10;
        this.extentAccountList = arg11;
        this.oemPlatform = arg12;
    }

    public final void readFrom(c arg4) {
        this.requestId = arg4.a(this.requestId, 0, true);
        this.cmdId = arg4.a(this.cmdId, 1, true);
        this.qua = (QUA) arg4.a(RequestHead.cache_qua, 2, false);
        this.appId = arg4.b(3, false);
        this.guid = arg4.b(4, false);
        this.token = (ArrayList) arg4.a(RequestHead.cache_token, 5, false);
        this.logReport = (LogReport) arg4.a(RequestHead.cache_logReport, 6, false);
        this.extentAccountList = (ArrayList) arg4.a(RequestHead.cache_extentAccountList, 7, false);
        this.oemPlatform = arg4.a(this.oemPlatform, 8, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.requestId, 0);
        arg3.a(this.cmdId, 1);
        if(this.qua != null) {
            arg3.a(this.qua, 2);
        }

        if(this.appId != null) {
            arg3.a(this.appId, 3);
        }

        if(this.guid != null) {
            arg3.a(this.guid, 4);
        }

        if(this.token != null) {
            arg3.a(this.token, 5);
        }

        if(this.logReport != null) {
            arg3.a(this.logReport, 6);
        }

        if(this.extentAccountList != null) {
            arg3.a(this.extentAccountList, 7);
        }

        arg3.a(this.oemPlatform, 8);
    }
}


